Creates an in-database GSQL user for a workspace.

POST /controller/v4/v2/workgroups/{workgroupID}/workspaces/{workspaceID}/dbuser

Authorizations

x-api-key string header required

Authorization for TigerGraph Savanna. Send the key in the x-api-key request header.

Create an API key

Path parameters

# workgroupID string path required

Workgroup ID

# workspaceID string path required

Workspace ID

Body

# password string

Password for the in-database user.

# username string

Username for the in-database user.

Response

application/json
# Error boolean

Indicates whether the request returned an error.

# ErrorDetails object[]

Details about each error returned by the request.

Show child attributes Hide child attributes
FieldNamestring

Field associated with the error.

Reasonstring

Explanation of why the error occurred.

Typestring

Category of the error.

Available options: Internal-Error, Bad-Request, Not-Found, Forbidden, Unauthorized, API-Disabled, Quota-Exceed, Unknown

# Message string

Human-readable summary of the request result.

# RequestID string

Unique identifier for tracing the request.

# Result object

Payload returned by the request.

Show child attributes Hide child attributes
auth0UserIDstring

Identifier of the user in the identity provider.

createdstring

Time the user was created.

descriptionstring

Description of the user.

emailstring

Email address of the user.

enabledboolean

Whether the user can sign in.

firstNamestring

Given name of the user.

idstring

Unique identifier of the user.

lastNamestring

Family name of the user.

metadataobject

Additional details about the user.

pathstring

Hierarchical path of the user within the organization.

rolestring

Role assigned to the user.

tenantIDstring

Unique identifier of the tenant the user belongs to.

trnstring

TigerGraph resource name of the user.

updatedstring

Time the user was last updated.

usernamestring

Username of the user.